Skip to content

Get a domain or IP

GET
/api/v1/hosts/{uuid}
curl --request GET \
--url https://app.hostrepute.com/api/v1/hosts/01a178db-d582-717c-8bb6-f01625c3d70f \
--header 'Authorization: Bearer <token>'

Get one domain or IP your team monitors, with its check profile.

Needs the host:read ability.

uuid
required
string

The UUID of the domain or IP.

Example

01a178db-d582-717c-8bb6-f01625c3d70f
Media typeapplication/json
object
data
object
uuid
string
name
string
host
string
blocklisted_at
string
nullable
data_source_group
object
uuid
string
name
string
slug
string
description
string
is_default
boolean
deliverability_checks_enabled
boolean
deliverability_checks
Array<string>
created_at
string
updated_at
string
created_at
string
updated_at
string

Example

{
"data": {
"uuid": "01a178db-d582-717c-8bb6-f01625c3d70f",
"name": "Mail server",
"host": "mail.example.com",
"blocklisted_at": null,
"data_source_group": {
"uuid": "01a178db-d581-700d-9729-4f4abc8cee72",
"name": "Default",
"slug": "default",
"description": "All production domains",
"is_default": true,
"deliverability_checks_enabled": true,
"deliverability_checks": [
"mx_health",
"spf_record",
"spf_strict",
"spf_lookup_limit",
"dmarc_record",
"dmarc_strict"
],
"created_at": "2026-07-14T09:12:44.000000Z",
"updated_at": "2026-09-02T14:05:31.000000Z"
},
"created_at": "2026-07-14T09:15:02.000000Z",
"updated_at": "2026-07-14T09:15:02.000000Z"
}
}

No domain or IP with this UUID in your team

Media typeapplication/json
object
message
string

Example

{
"message": "No query results for model [App\\Models\\Host] 01a178db-d582-717c-8bb6-f01625c3d70f"
}